{"models":[{"endpoint_id":"fal-ai/pixverse/v4/image-to-video","metadata":{"display_name":"PixVerse V4 Image To Video","category":"image-to-video","description":"Generate high quality video clips from text and image prompts using PixVerse v4","status":"active","tags":[],"updated_at":"2026-06-17T18:20:01.178Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","model_url":"https://fal.run/fal-ai/pixverse/v4/image-to-video","license_type":"commercial","date":"2025-04-01T02:54:43.687Z","group":{"key":"pixverse","label":"Image to Video v4"},"highlighted":false,"kind":"inference","duration_estimate":1,"pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/pixverse/v4/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pixverse/v4/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/pixverse/v4/image-to-video","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","playgroundUrl":"https://fal.ai/models/fal-ai/pixverse/v4/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/pixverse/v4/image-to-video/api","about":"Image To Video 4"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PixverseV4ImageToVideoInput":{"title":"ImageToVideoRequestV4","properties":{"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"\n            The same seed and the same prompt given to the same version of the model\n            will output the same video every time.\n        "},"prompt":{"description":"Text prompt for the video generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Prompt","type":"string","examples":["A woman warrior with her hammer walking with his glacier wolf."]},"negative_prompt":{"default":"","description":"Negative prompt to be used for the generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Negative Prompt","type":"string","examples":["blurry, low quality, low resolution, pixelated, noisy, grainy, out of focus, poorly lit, poorly exposed, poorly composed, poorly framed, poorly cropped, poorly color corrected, poorly color graded"]},"duration":{"default":"5","title":"Duration","enum":["5","8"],"type":"string","description":"The duration of the generated video in seconds. 8s videos cost double. 1080p videos are limited to 5 seconds"},"image_url":{"description":"URL of the image to use as the first frame","title":"Image Url","type":"string","examples":["https://v3.fal.media/files/zebra/qL93Je8ezvzQgDOEzTjKF_KhGKZTEebZcDw6T5rwQPK_output.png"]},"camera_movement":{"title":"Camera Movement","anyOf":[{"enum":["horizontal_left","horizontal_right","vertical_up","vertical_down","zoom_in","zoom_out","crane_up","quickly_zoom_in","quickly_zoom_out","smooth_zoom_in","camera_rotation","robo_arm","super_dolly_out","whip_pan","hitchcock","left_follow","right_follow","pan_left","pan_right","fix_bg"],"type":"string"},{"type":"null"}],"description":"The type of camera movement to apply to the video"},"style":{"title":"Style","anyOf":[{"enum":["anime","3d_animation","clay","comic","cyberpunk"],"type":"string"},{"type":"null"}],"description":"The style of the generated video"},"resolution":{"default":"720p","title":"Resolution","enum":["360p","540p","720p","1080p"],"type":"string","description":"The resolution of the generated video"}},"required":["prompt","image_url"],"type":"object","x-fal-order-properties":["prompt","resolution","duration","negative_prompt","style","seed","image_url","camera_movement"]},"PixverseV4ImageToVideoOutput":{"title":"I2VOutputV4","properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"content_type":"video/mp4","file_size":6420765,"url":"https://fal.media/files/koala/HEWK7BBwqWrz7F5nAZzp7_output.mp4","file_name":"output.mp4"}],"description":"The generated video"}},"required":["video"],"type":"object","x-fal-order-properties":["video"]},"File":{"title":"File","properties":{"content_type":{"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file."},"file_size":{"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes."},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"file_name":{"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided."}},"required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/pixverse/v4/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v4/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pixverse/v4/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV4ImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v4/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV4ImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/kandinsky5-pro/image-to-video","metadata":{"display_name":"Kandinsky5 Pro","category":"image-to-video","description":"Kandinsky 5.0 Pro is a diffusion model for fast, high-quality image-to-video generation.","status":"active","tags":[],"updated_at":"2026-04-21T17:49:44.254Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a877601/AN-bEqsfOmQj46SKwy4Ms_5288905eb5e744f99cb3ac61339a2bd9.jpg","model_url":"https://fal.run/fal-ai/kandinsky5-pro/image-to-video","license_type":"commercial","date":"2025-12-23T13:42:41.411Z","group":{"key":"kandinsky5-pro","label":"Image to Video"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/kandinsky5-pro/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/kandinsky5-pro/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/kandinsky5-pro/image-to-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a877601/AN-bEqsfOmQj46SKwy4Ms_5288905eb5e744f99cb3ac61339a2bd9.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/kandinsky5-pro/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/kandinsky5-pro/image-to-video/api","about":"Generate a video from an input image."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Kandinsky5ProImageToVideoInput":{"title":"KandinskyI2VRequest","properties":{"num_inference_steps":{"maximum":40,"type":"integer","minimum":1,"title":"Num Inference Steps","default":28},"duration":{"type":"string","description":"Video duration.","const":"5s","title":"Duration","default":"5s"},"image_url":{"type":"string","description":"The URL of the image to use as a reference for the video generation.","examples":["https://storage.googleapis.com/falserverless/model_tests/wan/dragon-warrior.jpg"],"title":"Image Url"},"resolution":{"enum":["512P","1024P"],"type":"string","description":"Video resolution: 512p or 1024p.","title":"Resolution","default":"512P"},"acceleration":{"anyOf":[{"enum":["none","regular"],"type":"string"},{"type":"null"}],"description":"Acceleration level for faster generation.","title":"Acceleration","default":"regular"},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The seed to use for generation. If not provided, a random seed will be used.","examples":[42],"title":"Seed"},"prompt":{"type":"string","description":"The prompt to generate the video from.","examples":["The white dragon warrior stands still, eyes full of determination and strength. The camera slowly moves closer or circles around the warrior, highlighting the powerful presence and heroic spirit of the character."],"title":"Prompt"}},"type":"object","required":["prompt","image_url"],"x-fal-order-properties":["prompt","image_url","resolution","duration","num_inference_steps","acceleration","seed"]},"Kandinsky5ProImageToVideoOutput":{"title":"KandinskyI2VResponse","properties":{"seed":{"type":"integer","description":"The seed used for generation.","title":"Seed"},"video":{"anyOf":[{"$ref":"#/components/schemas/File"},{"type":"null"}],"description":"The generated video file.","examples":[{"file_name":"output.mp4","file_size":22253751,"url":"https://v3b.fal.media/files/b/0a877276/Bg24FK_awlNAYKn962Vm0_output.mp4","content_type":"application/octet-stream"}]}},"type":"object","required":["seed"],"x-fal-order-properties":["video","seed"]},"File":{"title":"File","properties":{"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"title":"File Name"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019],"title":"File Size"},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"],"title":"Content Type"}},"type":"object","required":["url"],"x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/kandinsky5-pro/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kandinsky5-pro/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/kandinsky5-pro/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Kandinsky5ProImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kandinsky5-pro/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Kandinsky5ProImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/pixverse/v5.6/image-to-video","metadata":{"display_name":"PixVerse V5.6 Image To Video","category":"image-to-video","description":"Use the latest pixverse v5.6 model to turn your texts and images into amazing videos.","status":"active","tags":["image-to-video"],"updated_at":"2026-06-17T18:20:01.178Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a8bf684/NHFUK0Vloyg4QuqEQDdxP_e3dc7704795542dfa183ecf6423c7883.jpg","model_url":"https://fal.run/fal-ai/pixverse/v5.6/image-to-video","license_type":"commercial","date":"2026-01-26T17:16:21.492Z","highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/pixverse/v5.6/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pixverse/v5.6/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/pixverse/v5.6/image-to-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a8bf684/NHFUK0Vloyg4QuqEQDdxP_e3dc7704795542dfa183ecf6423c7883.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/pixverse/v5.6/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/pixverse/v5.6/image-to-video/api","about":"Image To Video V5 6"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PixverseV56ImageToVideoInput":{"title":"ImageToVideoRequestV5_6","properties":{"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"\n            The same seed and the same prompt given to the same version of the model\n            will output the same video every time.\n        "},"prompt":{"description":"Text prompt for the video generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Prompt","type":"string","examples":["A woman warrior with her hammer walking with his glacier wolf."]},"negative_prompt":{"default":"","description":"Negative prompt to be used for the generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Negative Prompt","type":"string","examples":["blurry, low quality, low resolution, pixelated, noisy, grainy, out of focus, poorly lit, poorly exposed, poorly composed, poorly framed, poorly cropped, poorly color corrected, poorly color graded"]},"duration":{"default":"5","title":"Duration","enum":["5","8","10"],"type":"string","description":"The duration of the generated video in seconds. 1080p videos are limited to 5 or 8 seconds"},"image_url":{"description":"URL of the image to use as the first frame","title":"Image Url","type":"string","examples":["https://v3.fal.media/files/zebra/qL93Je8ezvzQgDOEzTjKF_KhGKZTEebZcDw6T5rwQPK_output.png"]},"style":{"title":"Style","anyOf":[{"enum":["anime","3d_animation","clay","comic","cyberpunk"],"type":"string"},{"type":"null"}],"description":"The style of the generated video"},"generate_audio_switch":{"default":false,"description":"Enable audio generation (BGM, SFX, dialogue)","title":"Generate Audio Switch","type":"boolean"},"thinking_type":{"title":"Thinking Type","anyOf":[{"enum":["enabled","disabled","auto"],"type":"string"},{"type":"null"}],"description":"Prompt optimization mode: 'enabled' to optimize, 'disabled' to turn off, 'auto' for model decision"},"resolution":{"default":"720p","title":"Resolution","enum":["360p","540p","720p","1080p"],"type":"string","description":"The resolution of the generated video"}},"required":["prompt","image_url"],"type":"object","x-fal-order-properties":["prompt","resolution","duration","negative_prompt","style","seed","generate_audio_switch","thinking_type","image_url"]},"PixverseV56ImageToVideoOutput":{"title":"I2VOutputV5_5","properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"content_type":"video/mp4","file_size":6420765,"url":"https://storage.googleapis.com/falserverless/model_tests/video_models/output-3.mp4","file_name":"output.mp4"}],"description":"The generated video"}},"required":["video"],"type":"object","x-fal-order-properties":["video"]},"File":{"title":"File","properties":{"content_type":{"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file."},"file_size":{"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes."},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"file_name":{"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided."}},"required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/pixverse/v5.6/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v5.6/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pixverse/v5.6/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV56ImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v5.6/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV56ImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/pixverse/v4.5/transition","metadata":{"display_name":"PixVerse V4.5 Transition","category":"image-to-video","description":"Create seamless transition between images using PixVerse v4.5","status":"active","tags":["stylized","transform"],"updated_at":"2026-06-17T18:20:01.178Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","model_url":"https://fal.run/fal-ai/pixverse/v4.5/transition","license_type":"commercial","date":"2025-05-15T15:57:02.859Z","group":{"key":"pixverse-45","label":"Transition v4.5"},"highlighted":false,"kind":"inference","duration_estimate":1,"pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/pixverse/v4.5/transition","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pixverse/v4.5/transition queue.","x-fal-metadata":{"endpointId":"fal-ai/pixverse/v4.5/transition","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","playgroundUrl":"https://fal.ai/models/fal-ai/pixverse/v4.5/transition","documentationUrl":"https://fal.ai/models/fal-ai/pixverse/v4.5/transition/api","about":"Create Transition V4 5"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PixverseV45TransitionInput":{"title":"TransitionRequest","properties":{"first_image_url":{"description":"URL of the image to use as the first frame","title":"First Image Url","type":"string","examples":["https://v3.fal.media/files/zebra/owQh2DAzk8UU7J02nr5RY_Co2P4boLv6meIZ5t9gKvL_8685da151df343ab8bf82165c928e2a5.jpg"]},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"\n            The same seed and the same prompt given to the same version of the model\n            will output the same video every time.\n        "},"prompt":{"description":"The prompt for the transition. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Prompt","type":"string","examples":["Scene slowly transition into cat swimming under water"]},"aspect_ratio":{"default":"16:9","title":"Aspect Ratio","enum":["16:9","4:3","1:1","3:4","9:16"],"type":"string","description":"The aspect ratio of the generated video"},"negative_prompt":{"default":"","description":"Negative prompt to be used for the generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Negative Prompt","type":"string","examples":["blurry, low quality, low resolution, pixelated, noisy, grainy, out of focus, poorly lit, poorly exposed, poorly composed, poorly framed, poorly cropped, poorly color corrected, poorly color graded"]},"duration":{"default":"5","title":"Duration","enum":["5","8"],"type":"string","description":"The duration of the generated video in seconds"},"style":{"title":"Style","anyOf":[{"enum":["anime","3d_animation","clay","comic","cyberpunk"],"type":"string"},{"type":"null"}],"description":"The style of the generated video"},"end_image_url":{"description":"URL of the image to use as the last frame","examples":["https://v3.fal.media/files/kangaroo/RgedFs_WSnq5BgER7qDx1_ONrbTJ1YAGXz-9JnSsBoB_bdc8750387734bfe940319f469f7b0b2.jpg"],"title":"End Image Url","type":"string"},"resolution":{"default":"720p","title":"Resolution","enum":["360p","540p","720p","1080p"],"type":"string","description":"The resolution of the generated video"}},"required":["prompt","first_image_url","end_image_url"],"type":"object","x-fal-order-properties":["prompt","aspect_ratio","resolution","duration","negative_prompt","style","seed","first_image_url","end_image_url"]},"PixverseV45TransitionOutput":{"title":"TransitionOutput","properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"content_type":"video/mp4","file_size":3890360,"url":"https://fal.media/files/panda/5KmKS-mh1vO-htbqE5oex_output.mp4","file_name":"output.mp4"}],"description":"The generated video"}},"required":["video"],"type":"object","x-fal-order-properties":["video"]},"File":{"title":"File","properties":{"content_type":{"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file."},"file_size":{"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes."},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"file_name":{"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided."}},"required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/pixverse/v4.5/transition/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v4.5/transition/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pixverse/v4.5/transition":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV45TransitionInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v4.5/transition/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV45TransitionOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"nvidia/cosmos-3-super/image-to-video","metadata":{"display_name":"Cosmos 3 Super Image to Video","category":"image-to-video","description":"Cosmos3 is a collection of Omnimodal world models capable of generating dynamic, high-quality video, image, audio, and action commands from combinations of text, image, video, and action trajectory inputs.","status":"active","tags":["stylized","transform","lipsync"],"updated_at":"2026-09-09T00:10:46.911Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9c2fbe/hXW1eVvHgtPqSxYZP4CqC_8cd37164dacf41aaad63b1aa2afb0b5c.jpg","model_url":"https://fal.run/nvidia/cosmos-3-super/image-to-video","license_type":"commercial","date":"2026-06-01T23:26:20.138Z","group":{"key":"cosmos-3-super","label":"Image to Video"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for nvidia/cosmos-3-super/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the nvidia/cosmos-3-super/image-to-video queue.","x-fal-metadata":{"endpointId":"nvidia/cosmos-3-super/image-to-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9c2fbe/hXW1eVvHgtPqSxYZP4CqC_8cd37164dacf41aaad63b1aa2afb0b5c.jpg","playgroundUrl":"https://fal.ai/models/nvidia/cosmos-3-super/image-to-video","documentationUrl":"https://fal.ai/models/nvidia/cosmos-3-super/image-to-video/api","about":"Generate a video from a first-frame image and prompt using Cosmos3-Super via vLLM-Omni."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Cosmos3SuperImageToVideoInput":{"type":"object","x-fal-order-properties":["prompt","image_url","negative_prompt","enable_prompt_expansion","enable_agentic_generation","agentic_max_iterations","agentic_samples_per_iteration","agentic_early_stop","image_size","num_frames","frames_per_second","num_inference_steps","guidance_scale","seed","enable_safety_checker","sync_mode"],"properties":{"image_url":{"description":"URL of the conditioning first-frame image for the video.","type":"string","title":"Image Url","examples":["https://storage.googleapis.com/falserverless/example_inputs/hunyuan_i2v.jpg"]},"prompt":{"description":"Text prompt describing the motion and scene of the video to generate.","type":"string","maxLength":4096,"examples":["The camera slowly pushes in as the subject turns their head toward the light, hair drifting in a gentle breeze, dust motes floating through warm afternoon sun."],"title":"Prompt","minLength":1},"agentic_early_stop":{"description":"Stop the agentic loop early when the critic score clears the strict quality threshold.","type":"boolean","title":"Agentic Early Stop","default":true},"image_size":{"description":"The size of the generated video. The request is clamped and snapped to the nearest supported NVIDIA tier (256p/480p/720p) and aspect ratio.","anyOf":[{"$ref":"#/components/schemas/ImageSize"},{"enum":["square_hd","square","portrait_4_3","portrait_16_9","landscape_4_3","landscape_16_9"],"type":"string"}],"title":"Image Size","examples":[{"height":480,"width":832}],"default":{"height":480,"width":832}},"seed":{"description":"The same seed and prompt given to the same model version will produce the same video every time.","title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}]},"agentic_max_iterations":{"description":"Maximum agentic prompt stages when agentic generation is enabled.","type":"integer","title":"Agentic Max Iterations","maximum":3,"minimum":1,"default":2},"negative_prompt":{"description":"Content to steer the generation away from (artifacts, unwanted motion). Defaults to NVIDIA's recommended i2v negative prompt; pass an empty string to disable.","type":"string","maxLength":2048,"examples":["The video captures a series of frames showing macroblocking artifacts, chromatic aberration, high-frequency noise, and rolling shutter distortion. It includes static with no motion, motion blur, over-saturation, shaky footage, low resolution, grainy texture, pixelated images, poorly lit areas, underexposed and overexposed scenes, poor color balance, washed out colors, choppy sequences, jerky movements, low frame rate, bit-depth compression artifacts, color banding, unnatural transitions, outdated special effects, fake elements, unconvincing visuals, poorly edited content, jump cuts, hard cut, visual noise, and flickering. It features moiré patterns, edge halos, and temporal aliasing. Furthermore, the content defies common sense, generating illogical scenarios, nonsensical entities, absurd character behaviors, and conceptual paradoxes that violate basic human reasoning and everyday reality. The video looks like a surreal or glitchy hallucination. Overall, the video is of poor quality."],"title":"Negative Prompt","default":"The video captures a series of frames showing macroblocking artifacts, chromatic aberration, high-frequency noise, and rolling shutter distortion. It includes static with no motion, motion blur, over-saturation, shaky footage, low resolution, grainy texture, pixelated images, poorly lit areas, underexposed and overexposed scenes, poor color balance, washed out colors, choppy sequences, jerky movements, low frame rate, bit-depth compression artifacts, color banding, unnatural transitions, outdated special effects, fake elements, unconvincing visuals, poorly edited content, jump cuts, hard cut, visual noise, and flickering. It features moiré patterns, edge halos, and temporal aliasing. Furthermore, the content defies common sense, generating illogical scenarios, nonsensical entities, absurd character behaviors, and conceptual paradoxes that violate basic human reasoning and everyday reality. The video looks like a surreal or glitchy hallucination. Overall, the video is of poor quality."},"frames_per_second":{"description":"Frames per second of the output video.","type":"integer","title":"Frames Per Second","maximum":60,"minimum":4,"default":24},"agentic_samples_per_iteration":{"description":"Candidate videos to generate and judge per agentic iteration. The best candidate advances to the next rewrite stage.","type":"integer","title":"Agentic Samples Per Iteration","maximum":3,"minimum":1,"default":2},"enable_safety_checker":{"description":"Enable content moderation for the input prompt and image. Disabling it requires account authorization; unauthorized requests are always checked.","type":"boolean","title":"Enable Safety Checker","default":true},"num_inference_steps":{"description":"Number of denoising steps. More steps yield higher quality but take longer.","type":"integer","title":"Num Inference Steps","maximum":50,"minimum":1,"default":28},"sync_mode":{"description":"If `True`, the video is returned as a data URI and the output data won't be available in the request history.","type":"boolean","title":"Sync Mode","default":false},"enable_agentic_generation":{"description":"Enable the iterative Cosmos agentic loop: prompt upsampling, candidate video generation, VLM critique of sampled frames, and prompt rewrite. Each candidate is a full render, so this is substantially slower and costlier than a single generation.","type":"boolean","title":"Enable Agentic Generation","default":false},"guidance_scale":{"description":"Classifier-free guidance scale. Higher values increase prompt adherence at the cost of diversity.","type":"number","title":"Guidance scale (CFG)","maximum":20,"minimum":0,"default":6},"num_frames":{"description":"Number of frames to generate. More frames yield a longer video.","type":"integer","title":"Num Frames","maximum":189,"minimum":5,"default":189},"enable_prompt_expansion":{"description":"If true, the Cosmos3-Nano Reasoner (a VLM that sees the first frame) rewrites the prompt into the dense caption Cosmos3 was trained on. The app starts a local Reasoner by default, or uses COSMOS_PROMPT_UPSAMPLER_BASE_URL when configured. Falls back to the raw prompt if expansion fails.","type":"boolean","title":"Enable Prompt Expansion","default":true}},"title":"ImageToVideoInput","required":["prompt","image_url"]},"Cosmos3SuperImageToVideoOutput":{"type":"object","x-fal-order-properties":["video","seed"],"properties":{"video":{"description":"The generated video.","examples":[{"url":"https://v3b.fal.media/files/b/0a8fc99c/cosmos3-i2v-example.mp4","content_type":"video/mp4"}],"$ref":"#/components/schemas/VideoFile"},"seed":{"description":"The seed used for generation.","type":"integer","title":"Seed","examples":[1143]}},"title":"VideoOutput","required":["video","seed"]},"ImageSize":{"title":"ImageSize","x-fal-order-properties":["width","height"],"type":"object","properties":{"width":{"type":"integer","description":"The width of the generated image.","title":"Width","default":512,"exclusiveMinimum":0,"maximum":14142},"height":{"type":"integer","description":"The height of the generated image.","title":"Height","default":512,"exclusiveMinimum":0,"maximum":14142}}},"VideoFile":{"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size","width","height","fps","duration","num_frames"],"properties":{"height":{"description":"The height of the video","title":"Height","anyOf":[{"type":"integer"},{"type":"null"}]},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"},"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"]},"width":{"description":"The width of the video","title":"Width","anyOf":[{"type":"integer"},{"type":"null"}]},"duration":{"description":"The duration of the video","title":"Duration","anyOf":[{"type":"number"},{"type":"null"}]},"fps":{"description":"The FPS of the video","title":"Fps","anyOf":[{"type":"number"},{"type":"null"}]},"content_type":{"description":"The mime type of the file.","title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"]},"num_frames":{"description":"The number of frames in the video","title":"Num Frames","anyOf":[{"type":"integer"},{"type":"null"}]},"file_size":{"description":"The size of the file in bytes.","title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019]}},"title":"VideoFile","required":["url"]}}},"paths":{"/nvidia/cosmos-3-super/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/nvidia/cosmos-3-super/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/nvidia/cosmos-3-super/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Cosmos3SuperImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/nvidia/cosmos-3-super/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Cosmos3SuperImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"mirage-api/avatar-x/reference-to-video","metadata":{"display_name":"Mirage Avatar X","category":"image-to-video","description":"The Avatar X API offers access to Mirage's most advanced generation model yet, delivering\nindustry-leading identity preservation and expressivity in AI video","status":"active","tags":["avatar","lipsync","talking-head"],"updated_at":"2026-08-11T13:22:39.142Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0aa5d534/qRJYSS2111WWbBBH12R4H.jpg","model_url":"https://fal.run/mirage-api/avatar-x/reference-to-video","license_type":"commercial","date":"2026-08-10T22:43:04.262Z","group":{"key":"mirage-avatar-x","label":"Reference to Video"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for mirage-api/avatar-x/reference-to-video","version":"1.0.0","description":"The OpenAPI schema for the mirage-api/avatar-x/reference-to-video queue.","x-fal-metadata":{"endpointId":"mirage-api/avatar-x/reference-to-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0aa5d534/qRJYSS2111WWbBBH12R4H.jpg","playgroundUrl":"https://fal.ai/models/mirage-api/avatar-x/reference-to-video","documentationUrl":"https://fal.ai/models/mirage-api/avatar-x/reference-to-video/api","about":"Create a talking video from a reference visual and driving audio.\n\n## Quick start\n\n1. Upload or paste a public URL into **Video reference**.\n2. Upload or paste a public URL into **Audio**.\n3. Select **Run**. The output follows the audio's words, timing, and performance.\n\n```json\n{\n\"video_reference_url\": \"https://example.com/reference.mp4\",\n\"audio_url\": \"https://example.com/dialogue.mp3\"\n}\n```\n\n## Use a reference image or stock avatar instead\n\nTo use an image, leave the video reference empty and provide an image\nreference. If both are supplied, the video reference is used and the image\nreference is ignored. To use a stock avatar as the visual instead, clear\nboth reference fields and choose **Avatar** under additional settings.\n**Audio** is always required and always supplies the output audio. If an\nAvatar and an image or video reference are both supplied, the visual\nreference overrides the Avatar.\n\n```json\n{\n\"image_reference_url\": \"https://example.com/reference.png\",\n\"audio_url\": \"https://example.com/dialogue.wav\"\n}\n```\n\n## Supported URL file types\n\n- Audio: `.mp3`, `.wav`, `.aif`, `.aiff`, `.aifc`, `.m4a`, `.mp4`, `.aac`,\n`.ogg`, `.oga`, `.opus`, `.webm`, `.weba`, `.flac`\n- Images: `.jpg`, `.jpeg`, `.png`, `.webp`\n- Videos: `.mp4`, `.mov`, `.m4v`, `.webm`\n\nIf an audio file type is not offered in the upload picker, paste a public\nHTTPS URL instead.\n\nReference visuals must be close to 9:16 or 16:9. Audio can be 3-180 seconds;\nvideo references can be 1-120 seconds.\n\n## Common mistakes\n\n- If **Image reference** and **Video reference** are both supplied, the\nvideo reference is used and the image reference is ignored.\n- **None** sends no avatar. If neither visual reference is supplied, choose\na stock Avatar under additional settings.\n- An image or video reference takes precedence over Avatar.\n- A video reference's audio track is ignored; **Audio** is still required.\n- URL inputs must be public HTTPS URLs that work without cookies or request headers.\n\nThe result is one lip-synced MP4 video. Its duration follows the driving audio."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"AvatarXReferenceToVideoInput":{"type":"object","title":"PerformInput","x-fal-order-properties":["audio_url","video_reference_url","avatar","image_reference_url"],"required":["audio_url"],"description":"Inputs for driving a stock or caller-supplied visual with audio.","properties":{"video_reference_url":{"x-fal":{"min_duration":1,"max_duration":120},"anyOf":[{"type":"string"},{"type":"null"}],"description":"Publicly fetchable HTTPS URL of the reference video; no cookies or authorization headers. Takes precedence over image_reference_url when both are supplied. Supports H.264, H.265/HEVC, or ProRes in .mp4, .mov, or .m4v and VP8 or VP9 in .webm, from 1 to 120 seconds and up to 1 GiB, with exactly one video stream and a 9:16 or 16:9 display aspect ratio (within 5%). The video must contain a usable one-second reference window; any audio track is ignored.","examples":["https://v3b.fal.media/files/b/0aa596d5/q8taheXQ-KlmtoC-uKViG_mirage-avatar-x-luke-reference-to-video-demo.mp4"],"title":"Video reference"},"image_reference_url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Publicly fetchable HTTPS URL of the reference image; no cookies or authorization headers. Ignored when video_reference_url is also supplied. Supports one static .jpg, .jpeg, .png, or .webp image up to 25 MiB, with a short edge of at least 512 px, no edge over 8192 px, at most 25 megapixels, and a 9:16 or 16:9 aspect ratio (within 5%).","title":"Image reference"},"avatar":{"anyOf":[{"type":"string","enum":["None","Ayesha","Ayesha (16:9)","Farhan","Farhan (16:9)","Giulia","Giulia (16:9)","Jasmine","Jasmine (16:9)","Luke","Luke (16:9)","Maya","Maya (16:9)","Michael","Michael (16:9)","Neha","Neha (16:9)","Tariq","Tariq (16:9)","Valerie","Valerie (16:9)"]},{"type":"null"}],"description":"Stock visual that can be used instead of an image or video reference; it does not supply audio. Browse the [avatar catalog](https://captions.ai/help/docs/api/actor-catalog) to preview the available visuals and copy the exact Avatar value. Default and None both mean no avatar. Any supplied image or video reference overrides the selection, and audio always comes from audio_url.","title":"Avatar"},"audio_url":{"x-fal":{"min_duration":3,"max_duration":180},"type":"string","description":"Publicly fetchable HTTPS URL of the driving audio; no cookies or authorization headers. Supports MP3, PCM WAV or AIFF, AAC or ALAC, Opus or Vorbis, and FLAC audio from 3 to 180 seconds and up to 64 MiB, with one mono or stereo stream sampled from 8 to 48 kHz. The generated video follows this audio.","examples":["https://v3b.fal.media/files/b/0aa596e6/ko0yoMiCNRRAnMU5PQAHK_mirage-avatar-x-luke-reference-audio.wav"],"title":"Audio"}},"additionalProperties":false},"AvatarXReferenceToVideoOutput":{"type":"object","x-fal-order-properties":["video"],"required":["video"],"properties":{"video":{"examples":[{"file_name":"mirage-avatar-x-luke-reference-to-video-demo.mp4","file_size":11833398,"url":"https://v3b.fal.media/files/b/0aa596d5/q8taheXQ-KlmtoC-uKViG_mirage-avatar-x-luke-reference-to-video-demo.mp4","content_type":"video/mp4"}],"$ref":"#/components/schemas/Video"}},"title":"ReferenceToVideoOutput"},"Video":{"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"required":["url"],"properties":{"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"title":"File Name"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019],"title":"File Size"},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"],"title":"Content Type"}},"title":"Video"}}},"paths":{"/mirage-api/avatar-x/reference-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/mirage-api/avatar-x/reference-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/mirage-api/avatar-x/reference-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AvatarXReferenceToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/mirage-api/avatar-x/reference-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AvatarXReferenceToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/hunyuan-video-v1.5/image-to-video","metadata":{"display_name":"Hunyuan Video V1.5","category":"image-to-video","description":"Hunyuan Video 1.5 is Tencent's latest and best video model","status":"active","tags":["image-to-video"],"updated_at":"2026-04-21T17:48:25.794Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/panda/yRuXc12ZmJxhXiGcd_1jW_9ebc91f64d1a44b7995e66b3410547e9.jpg","model_url":"https://fal.run/fal-ai/hunyuan-video-v1.5/image-to-video","license_type":"commercial","date":"2025-12-17T13:34:51.999Z","highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/hunyuan-video-v1.5/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/hunyuan-video-v1.5/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/hunyuan-video-v1.5/image-to-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/panda/yRuXc12ZmJxhXiGcd_1jW_9ebc91f64d1a44b7995e66b3410547e9.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/hunyuan-video-v1.5/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/hunyuan-video-v1.5/image-to-video/api","about":"Image To Video"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"HunyuanVideoV15ImageToVideoInput":{"x-fal-order-properties":["prompt","negative_prompt","num_inference_steps","seed","aspect_ratio","resolution","num_frames","enable_prompt_expansion","image_url"],"properties":{"num_frames":{"minimum":1,"description":"The number of frames to generate.","type":"integer","title":"Num Frames","maximum":121,"default":121},"aspect_ratio":{"description":"The aspect ratio of the video.","type":"string","title":"Aspect Ratio","enum":["16:9","9:16"],"default":"16:9"},"resolution":{"description":"The resolution of the video.","type":"string","title":"Resolution","const":"480p","default":"480p"},"num_inference_steps":{"minimum":1,"description":"The number of inference steps.","type":"integer","title":"Num Inference Steps","maximum":50,"default":28},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Random seed for reproducibility.","title":"Seed"},"prompt":{"examples":["A stark starting line divides two powerful cars, engines revving for the challenge ahead. They surge forward in the heat of competition, a blur of speed and chrome. The finish line looms as they race for victory."],"description":"The prompt to generate the video from.","type":"string","title":"Prompt"},"negative_prompt":{"description":"The negative prompt to guide what not to generate.","type":"string","title":"Negative Prompt","default":""},"enable_prompt_expansion":{"description":"Enable prompt expansion to enhance the input prompt.","type":"boolean","title":"Enable Prompt Expansion","default":true},"image_url":{"examples":["https://v3.fal.media/files/panda/HnY2yf-BbzlrVQxR-qP6m_9912d0932988453aadf3912fc1901f52.jpg"],"description":"URL of the reference image for image-to-video generation.","type":"string","title":"Image Url"}},"type":"object","title":"HunyuanVideo15I2VRequest","required":["prompt","image_url"]},"HunyuanVideoV15ImageToVideoOutput":{"x-fal-order-properties":["video","seed"],"properties":{"video":{"examples":[{"url":"https://storage.googleapis.com/falserverless/example_outputs/hyvideo_v15_480p_output.mp4"}],"$ref":"#/components/schemas/File","description":"The generated video file."},"seed":{"description":"The seed used for generation.","type":"integer","title":"Seed"}},"type":"object","title":"HunyuanVideo15Response","required":["video","seed"]},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"file_size":{"examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","title":"File Size"},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"},"content_type":{"examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","title":"Content Type"},"file_name":{"examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name"}},"type":"object","title":"File","required":["url"]}}},"paths":{"/fal-ai/hunyuan-video-v1.5/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/hunyuan-video-v1.5/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/hunyuan-video-v1.5/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HunyuanVideoV15ImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/hunyuan-video-v1.5/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HunyuanVideoV15ImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/longcat-video/image-to-video/720p","metadata":{"display_name":"LongCat Video","category":"image-to-video","description":"Generate long videos in 720p/30fps from images using LongCat Video","status":"active","tags":[],"updated_at":"2026-01-26T21:42:29.273Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/tiger/s_V-U5ax-L7FjU5Ua0Jmk_723a0755259f44d492e6cf825608804c.jpg","model_url":"https://fal.run/fal-ai/longcat-video/image-to-video/720p","license_type":"commercial","date":"2025-10-30T16:23:09.789Z","group":{"key":"longcat","label":"Image to Video (720p)"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/longcat-video/image-to-video/720p","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/longcat-video/image-to-video/720p queue.","x-fal-metadata":{"endpointId":"fal-ai/longcat-video/image-to-video/720p","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/tiger/s_V-U5ax-L7FjU5Ua0Jmk_723a0755259f44d492e6cf825608804c.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/longcat-video/image-to-video/720p","documentationUrl":"https://fal.ai/models/fal-ai/longcat-video/image-to-video/720p/api","about":"Generate a video from an image."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"LongcatVideoImageToVideo720pInput":{"required":["image_url"],"type":"object","x-fal-order-properties":["image_url","prompt","negative_prompt","num_frames","num_inference_steps","num_refine_inference_steps","guidance_scale","fps","seed","enable_prompt_expansion","enable_safety_checker","video_output_type","video_quality","video_write_mode","sync_mode","acceleration"],"title":"LongCat720PCFGImageToVideoRequest","properties":{"num_inference_steps":{"minimum":8,"description":"The number of inference steps to use for the video generation.","title":"Number of Inference Steps","type":"integer","maximum":50,"default":40},"num_refine_inference_steps":{"minimum":8,"description":"The number of inference steps to use for refinement.","title":"Number of Refinement Inference Steps","type":"integer","maximum":50,"default":40},"video_write_mode":{"description":"The write mode of the generated video.","title":"Video Write Mode","type":"string","default":"balanced","enum":["fast","balanced","small"]},"seed":{"description":"The seed for the random number generator.","title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}]},"guidance_scale":{"minimum":1,"description":"The guidance scale to use for the video generation.","title":"Guidance Scale","type":"number","maximum":10,"default":4},"enable_prompt_expansion":{"description":"Whether to enable prompt expansion.","title":"Enable Prompt Expansion","type":"boolean","default":false},"fps":{"minimum":1,"description":"The frame rate of the generated video.","title":"FPS","type":"integer","maximum":60,"default":30},"video_quality":{"description":"The quality of the generated video.","title":"Video Quality","type":"string","default":"high","enum":["low","medium","high","maximum"]},"enable_safety_checker":{"description":"Whether to enable safety checker. Disabling it requires account authorization; unauthorized requests are always checked.","title":"Enable Safety Checker","type":"boolean","default":true},"image_url":{"description":"The URL of the image to generate a video from.","title":"Image URL","examples":["https://v3b.fal.media/files/b/zebra/trXRsbjJwy4Z3OEgbnB9a.jpg"],"type":"string"},"sync_mode":{"description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history.","title":"Sync Mode","type":"boolean","default":false},"prompt":{"description":"The prompt to guide the video generation.","title":"Prompt","examples":["First-person view from the cockpit of a Formula 1 car. The driver's gloved hands firmly grip the intricate, carbon-fiber steering wheel adorned with numerous colorful buttons and a vibrant digital display showing race data. Beyond the windshield, a sun-drenched racetrack stretches ahead, lined with cheering spectators in the grandstands. Several rival cars are visible in the distance, creating a dynamic sense of competition. The sky above is a clear, brilliant blue, reflecting the exhilarating atmosphere of a high-speed race. high resolution 4k"],"type":"string","default":"First-person view from the cockpit of a Formula 1 car. The driver's gloved hands firmly grip the intricate, carbon-fiber steering wheel adorned with numerous colorful buttons and a vibrant digital display showing race data. Beyond the windshield, a sun-drenched racetrack stretches ahead, lined with cheering spectators in the grandstands. Several rival cars are visible in the distance, creating a dynamic sense of competition. The sky above is a clear, brilliant blue, reflecting the exhilarating atmosphere of a high-speed race. high resolution 4k"},"video_output_type":{"description":"The output type of the generated video.","title":"Video Output Type","type":"string","default":"X264 (.mp4)","enum":["X264 (.mp4)","VP9 (.webm)","PRORES4444 (.mov)","GIF (.gif)"]},"acceleration":{"description":"The acceleration level to use for the video generation.","title":"Acceleration","examples":["regular"],"type":"string","default":"regular","enum":["none","regular"]},"num_frames":{"minimum":17,"description":"The number of frames to generate.","title":"Number of Frames","type":"integer","maximum":961,"default":162},"negative_prompt":{"description":"The negative prompt to use for the video generation.","title":"Negative Prompt","type":"string","default":"Bright tones, overexposed, static, blurred details, subtitles, style, works, paintings, images, static, overall gray, worst quality, low quality, JPEG compression residue, ugly, incomplete, extra fingers, poorly drawn hands, poorly drawn faces, deformed, disfigured, misshapen limbs, fused fingers, still picture, messy background, three legs, many people in the background, walking backwards"}}},"LongcatVideoImageToVideo720pOutput":{"required":["prompt","seed","video"],"type":"object","x-fal-order-properties":["prompt","seed","video"],"title":"LongCatImageToVideoResponse","properties":{"seed":{"description":"The seed used for generation.","type":"integer","examples":[916581],"title":"Seed"},"video":{"description":"The generated video file.","$ref":"#/components/schemas/File","examples":[{"content_type":"video/mp4","url":"https://v3b.fal.media/files/b/panda/4-MoAje_CCMAGH8d-9kmA_nQEkcRc2.mp4"}]},"prompt":{"description":"The prompt used for generation.","type":"string","examples":["First-person view from the cockpit of a Formula 1 car. The driver's gloved hands firmly grip the intricate, carbon-fiber steering wheel adorned with numerous colorful buttons and a vibrant digital display showing race data. Beyond the windshield, a sun-drenched racetrack stretches ahead, lined with cheering spectators in the grandstands. Several rival cars are visible in the distance, creating a dynamic sense of competition. The sky above is a clear, brilliant blue, reflecting the exhilarating atmosphere of a high-speed race. high resolution 4k"],"title":"Prompt"}}},"File":{"required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","properties":{"content_type":{"description":"The mime type of the file.","title":"Content Type","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}]},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"},"file_size":{"description":"The size of the file in bytes.","title":"File Size","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}]},"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}]}}}}},"paths":{"/fal-ai/longcat-video/image-to-video/720p/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/longcat-video/image-to-video/720p/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/longcat-video/image-to-video/720p":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LongcatVideoImageToVideo720pInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/longcat-video/image-to-video/720p/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LongcatVideoImageToVideo720pOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/vidu/start-end-to-video","metadata":{"display_name":"Vidu Start-End to Video","category":"image-to-video","description":"Vidu Start-End to Video generates smooth transition videos between specified start and end images.","status":"active","tags":["motion","transition"],"updated_at":"2026-04-27T03:35:06.506Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/web-examples/vidu/vidu.webp","model_url":"https://fal.run/fal-ai/vidu/start-end-to-video","date":"2025-03-12T00:00:00.000Z","group":{"key":"vidu","label":"Start-End-to-Video"},"highlighted":false,"pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/vidu/start-end-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/vidu/start-end-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/vidu/start-end-to-video","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/web-examples/vidu/vidu.webp","playgroundUrl":"https://fal.ai/models/fal-ai/vidu/start-end-to-video","documentationUrl":"https://fal.ai/models/fal-ai/vidu/start-end-to-video/api","about":"Vidu Start-End to Video API: Generate a smooth transition video between start and end frames."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"ViduStartEndToVideoInput":{"title":"StartEndToVideoRequest","required":["prompt","start_image_url","end_image_url"],"properties":{"movement_amplitude":{"title":"Movement Amplitude","default":"auto","enum":["auto","small","medium","large"],"type":"string","description":"The movement amplitude of objects in the frame"},"prompt":{"title":"Prompt","maxLength":1500,"type":"string","description":"Text prompt for video generation, max 1500 characters","examples":["Transform the car frame into a complete vehicle."]},"end_image_url":{"title":"End Image Url","type":"string","description":"URL of the image to use as the last frame","examples":["https://storage.googleapis.com/falserverless/web-examples/vidu/2-carbody.png"]},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"Random seed for generation"},"start_image_url":{"title":"Start Image Url","type":"string","description":"URL of the image to use as the first frame","examples":["https://storage.googleapis.com/falserverless/web-examples/vidu/2-carchasis.png"]}},"type":"object","x-fal-order-properties":["prompt","start_image_url","end_image_url","seed","movement_amplitude"]},"ViduStartEndToVideoOutput":{"title":"StartEndToVideoOutput","required":["video"],"properties":{"video":{"description":"The generated transition video between start and end frames","examples":[{"url":"https://storage.googleapis.com/falserverless/web-examples/vidu/2-car.mp4"}],"$ref":"#/components/schemas/File"}},"type":"object","x-fal-order-properties":["video"]},"File":{"title":"File","required":["url"],"properties":{"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"file_name":{"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"]},"file_size":{"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019]},"content_type":{"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"]}},"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/vidu/start-end-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/vidu/start-end-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/vidu/start-end-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ViduStartEndToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/vidu/start-end-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ViduStartEndToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/fast-svd-lcm","metadata":{"display_name":"Stable Video Diffusion Turbo","category":"image-to-video","description":"Generate short video clips from your images using SVD v1.1 at Lightning Speed","status":"active","tags":["turbo"],"updated_at":"2026-04-21T17:45:31.510Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/fast-svd-turbo.webp","thumbnail_animated_url":"https://storage.googleapis.com/falserverless/gallery/fast-svd-turbo-animated.webp","model_url":"https://fal.run/fal-ai/fast-svd-lcm","github_url":"https://huggingface.co/stabilityai/stable-video-diffusion-img2vid-xt-1-1/blob/main/LICENSE","date":"2024-02-13T00:00:00.000Z","group":{"key":"stable-video-diffusion-turbo","label":"Image to Video"},"highlighted":false,"pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/fast-svd-lcm","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/fast-svd-lcm queue.","x-fal-metadata":{"endpointId":"fal-ai/fast-svd-lcm","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/fast-svd-turbo.webp","playgroundUrl":"https://fal.ai/models/fal-ai/fast-svd-lcm","documentationUrl":"https://fal.ai/models/fal-ai/fast-svd-lcm/api","about":"Generate Video"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"FastSvdLcmInput":{"title":"FastSVDImageInput","required":["image_url"],"properties":{"fps":{"maximum":25,"title":"Fps","type":"integer","minimum":1,"default":10,"description":"\n            The FPS of the generated video. The higher the number, the faster the video will\n            play. Total video length is 25 frames.\n        "},"steps":{"maximum":20,"title":"Steps","type":"integer","minimum":1,"default":4,"description":"\n            The number of steps to run the model for. The higher the number the better\n            the quality and longer it will take to generate.\n        "},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"\n            The same seed and the same prompt given to the same version of Stable Diffusion\n            will output the same image every time.\n        "},"cond_aug":{"maximum":10,"title":"Cond Aug","type":"number","minimum":0,"default":0.02,"description":"\n            The conditoning augmentation determines the amount of noise that will be\n            added to the conditioning frame. The higher the number, the more noise\n            there will be, and the less the video will look like the initial image.\n            Increase it for more motion.\n        "},"image_url":{"title":"Image Url","examples":["https://storage.googleapis.com/falserverless/model_tests/svd/rocket.png","https://storage.googleapis.com/falserverless/model_tests/svd/mustang.png","https://storage.googleapis.com/falserverless/model_tests/svd/ship.png","https://storage.googleapis.com/falserverless/model_tests/svd/rocket2.png"],"type":"string","description":"The URL of the image to use as a starting point for the generation."},"motion_bucket_id":{"maximum":255,"title":"Motion Bucket Id","type":"integer","minimum":1,"default":127,"description":"\n            The motion bucket id determines the motion of the generated video. The\n            higher the number, the more motion there will be.\n        "}},"x-fal-order-properties":["image_url","motion_bucket_id","cond_aug","seed","steps","fps"],"type":"object"},"FastSvdLcmOutput":{"title":"FastSVDOutput","required":["video","seed"],"properties":{"video":{"description":"The generated video file.","$ref":"#/components/schemas/File"},"seed":{"title":"Seed","type":"integer","description":"\n            Seed of the generated Image. It will be the same value of the one passed in the\n            input or the randomly generated that was used in case none was passed.\n\n        "}},"x-fal-order-properties":["video","seed"],"type":"object"},"File":{"title":"File","required":["url"],"properties":{"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"content_type":{"title":"Content Type","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file."},"file_name":{"title":"File Name","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided."},"file_size":{"title":"File Size","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes."}},"x-fal-order-properties":["url","content_type","file_name","file_size"],"type":"object"}}},"paths":{"/fal-ai/fast-svd-lcm/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/fast-svd-lcm/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/fast-svd-lcm":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FastSvdLcmInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/fast-svd-lcm/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FastSvdLcmOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}}],"next_cursor":"MTc","has_more":true}
